.TH HG BUNDLE  "" "" ""
.SH NAME
hg bundle \- create a bundle file
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg bundle [\-f] [\-t BUNDLESPEC] [\-a] [\-r REV]... [\-\-base REV]... FILE [DEST]...
.ft P
.fi
.SH DESCRIPTION
.sp
Generate a bundle file containing data to be transferred to another
repository.
.sp
To create a bundle containing all changesets, use \-a/\-\-all
(or \-\-base null). Otherwise, hg assumes the destination will have
all the nodes you specify with \-\-base parameters. Otherwise, hg
will assume the repository has all the nodes in destination, or
default\-push/default if no destination is specified, where destination
is the repositories you provide through DEST option.
.sp
You can change bundle format with the \-t/\-\-type option. See
\%\fBhg help bundlespec\fP\: for documentation on this format. By default,
the most appropriate format is used and compression defaults to
bzip2.
.sp
The bundle file can then be transferred using conventional means
and applied to another repository with the unbundle or pull
command. This is useful when direct push and pull are not
available or when exporting an entire repository is undesirable.
.sp
Applying bundles preserves all changeset contents including
permissions, copy/rename information, and revision history.
.sp
Returns 0 on success, 1 if no changes found.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-\-exact
.
compute the base from the revision specified
.TP
.B \-f,  \-\-force
.
run even when the destination is unrelated
.TP
.BI \-r,  \-\-rev \ <REV[+]>
.
a changeset intended to be added to the destination
.TP
.BI \-b,  \-\-branch \ <BRANCH[+]>
.
a specific branch you would like to bundle
.TP
.BI \-\-base \ <REV[+]>
.
a base changeset assumed to be available at the destination
.TP
.B \-a,  \-\-all
.
bundle all changesets in the repository
.TP
.BI \-t,  \-\-type \ <TYPE>
.
bundle compression type to use (default: bzip2)
.TP
.BI \-e,  \-\-ssh \ <CMD>
.
specify ssh command to use
.TP
.BI \-\-remotecmd \ <CMD>
.
specify hg command to run on the remote side
.TP
.B \-\-insecure
.
do not verify server certificate (ignoring web.cacerts config)
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
